- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::Profiler::ProfileFrame Struct Reference

Represents the total timing information of a profile since profiles can be called more than once each frame. More...

`#include <OgreProfiler.h>`

List of all members.

## Public Attributes
String | name
| The name of the profile.
ulong | frameTime
| The total time this profile has taken this frame.
uint | calls
| The number of times this profile was called this frame.
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the main loop.

## Detailed Description

Represents the total timing information of a profile since profiles can be called more than once each frame.

Definition at line 282 of file OgreProfiler.h.

## Member Data Documentation

String Ogre::Profiler::ProfileFrame::name

The name of the profile.

Definition at line 285 of file OgreProfiler.h.

ulong Ogre::Profiler::ProfileFrame::frameTime

The total time this profile has taken this frame.

Definition at line 288 of file OgreProfiler.h.

uint Ogre::Profiler::ProfileFrame::calls

The number of times this profile was called this frame.

Definition at line 291 of file OgreProfiler.h.

uint Ogre::Profiler::ProfileFrame::hierarchicalLvl

The hierarchical level of this profile, 0 being the main loop.

Definition at line 294 of file OgreProfiler.h.

The documentation for this struct was generated from the following file:

- OgreProfiler.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:51:53 2008